/*
	$RCSfile: pointers.c,v $

	Copyright (C) 2002  Joseph Carter

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA

*/
static const char rcsid[] =
	"$Id: pointers.c,v 1.3 2002/04/07 07:18:46 knghtbrd Exp $";

#include "pointers.h"

// This ile contains a bunch of 32x32 alpha maps with 8 levels of alpha.  The
// format is similar to an X11 pixmap, but not the same.  7 is 100% solid, 0
// and any other character are transparent.
//
// FIXME: Add at least ONE mouse pointer to all these crosshairs!

char *crosshairs[NUM_CROSSHAIRS] =
{
	// Quake crosshair 1 (kindof)
	"................................"
	"................................"
	"................................"
	"................................"
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"....777777777777777777777777...."
	"....777777777777777777777777...."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"................................"
	"................................"
	"................................"
	"................................"
	,
	// QW crosshair 2
	"................................"
	"................................"
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"................................"
	"................................"
	"................................"
	"................................"
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..7777....7777....7777....7777.."
	"..7777....7777....7777....7777.."
	"..7777....7777....7777....7777.."
	"..7777....7777....7777....7777.."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"................................"
	"................................"
	"................................"
	"................................"
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"................................"
	"................................"
	,
	// Vic's Twilight crosshair 3
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"............77777777............"
	"............77777777............"
	"............77777777............"
	"............77777777............"
	"............77777777............"
	"............77777777............"
	"............77777777............"
	"............77777777............"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	,
	// DarkPlaces crosshair 1
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"......3333............3333......"
	"......34444..........44443......"
	"......345555........555543......"
	"......3456666......6666543......"
	".......4567777....7777654......."
	"........567777....777765........"
	".........67777....77776........."
	"..........7777....7777.........."
	"................................"
	"................................"
	"................................"
	"................................"
	"..........7777....7777.........."
	".........67777....77776........."
	"........567777....777765........"
	".......4567777....7777654......."
	"......3456666......6666543......"
	"......345555........555543......"
	"......34444..........44443......"
	"......3333............3333......"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	,
	// DarkPlaces crosshair 3
	"................................"
	"................................"
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"................................"
	"................................"
	"................................"
	"................................"
	"..............4444.............."
	"..............4444.............."
	"..............4444.............."
	"..............4444.............."
	"..7777....4444....4444....7777.."
	"..7777....4444....4444....7777.."
	"..7777....4444....4444....7777.."
	"..7777....4444....4444....7777.."
	"..............4444.............."
	"..............4444.............."
	"..............4444.............."
	"..............4444.............."
	"................................"
	"................................"
	"................................"
	"................................"
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"..............7777.............."
	"................................"
	"................................"
	,
	// Knghtbrd's old QF crosshair 3
	"................................"
	".777777771111116611111177777777."
	".777777771111116611111177777777."
	".777777771111116611111177777777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".111111111111116611111111111111."
	".111111111111116611111111111111."
	".111111111111116611111111111111."
	".111111111111116611111111111111."
	".111111111111111111111111111111."
	".111111111111111111111111111111."
	".666666666666115511666666666666."
	".666666666666115511666666666666."
	".111111111111111111111111111111."
	".111111111111111111111111111111."
	".111111111111116611111111111111."
	".111111111111116611111111111111."
	".111111111111116611111111111111."
	".111111111111116611111111111111."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777111111111116611111111111777."
	".777777771111116611111177777777."
	".777777771111116611111177777777."
	".777777771111116611111177777777."
	"................................"
	,
	// Q3A crosshair 1
	"................................"
	"................................"
	"................................"
	"................................"
	"............12333321............"
	"..........12321..12321.........."
	"........1231........1321........"
	".......121............121......."
	"......121..............121......"
	"......21................12......"
	".....13..................31....."
	"....121..................121...."
	"....23....................32...."
	"....32....................23...."
	"....31....................13...."
	"....3..........55..........3...."
	"....3..........55..........3...."
	"....31....................13...."
	"....32....................23...."
	"....23....................32...."
	"....121..................121...."
	".....13..................31....."
	"......21................12......"
	"......121..............121......"
	".......121............121......."
	"........1231........1321........"
	"..........12321..12321.........."
	"............12333321............"
	"................................"
	"................................"
	"................................"
	"................................"
	,
	// Q3A mouse cursor
	"................................"
	"...............44..............."
	"...............44..............."
	"...............44..............."
	"............12344321............"
	"..........123214412321.........."
	"........1231...44...1321........"
	".......121.....44.....121......."
	"......121......44......121......"
	"......21.......44.......12......"
	".....13..................31....."
	"....121..................121...."
	"....23....................32...."
	"....32....................23...."
	"....31....................13...."
	".444444444.....55.....444444444."
	".444444444.....55.....444444444."
	"....31....................13...."
	"....32....................23...."
	"....23....................32...."
	"....121..................121...."
	".....13..................31....."
	"......21.......44.......12......"
	"......121......44......121......"
	".......121.....44.....121......."
	"........1231...44...1321........"
	"..........123214412321.........."
	"............12344321............"
	"...............44..............."
	"...............44..............."
	"...............44..............."
	"................................"
	,
	// DarkPlaces crosshair 2
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"......33................33......"
	"......33................33......"
	"........55............55........"
	"........55............55........"
	"..........77........77.........."
	"..........77........77.........."
	"............77....77............"
	"............77....77............"
	"................................"
	"................................"
	"................................"
	"................................"
	"............77....77............"
	"............77....77............"
	"..........77........77.........."
	"..........77........77.........."
	"........55............55........"
	"........55............55........"
	"......33................33......"
	"......33................33......"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
};


/*
	Blank pointer texture for C&P

	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
	"................................"
 */

